Bug 59787 - cannot install rpm-4.0.2-6x.i386.rpm missing libdb
cannot install rpm-4.0.2-6x.i386.rpm missing libdb
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-13 06:25 EST by Sonni Skammelsen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-13 06:25:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sonni Skammelsen 2002-02-13 06:25:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
When i try to install rpm-4.0.2-6x.i386.rpm i get failed dependencies to libdb-
3.1.so. I have installed the latest glibc, glibc-2.1.3-23.i386.rpm

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -Fvh rpm-4.0.2-6x.i386.rpm
2.
3.
	

Actual Results:  error: failed dependencies:
        libdb-3.1.so is needed by rpm-4.0.2-6x

Expected Results:  the paskage shoud have been installed

Additional info:

I'm running RedHat 6.5 Linux on a Pentium Pro. Its a clean server installation 
without X.
I need to package to install the security update from 02-12-2002 with the snmp 
hack.
Comment 1 Jeff Johnson 2002-02-13 17:26:32 EST
You need the db3 packages first, if you wish to install rpm-4.0.2.
They're available through Red Hat updates/errata for 6x.

You might try rpm-4.0.3 packages instead from
	ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x
The packages with "6x" in the release are what you're gonna need.

rpm-4.0.3 has an interbal copy of Berkeley DB, so you won't
need the db3 packages.
Comment 2 Sonni Skammelsen 2002-02-14 09:58:42 EST
I tried installing the rpm-4.0.3 as suggested, thats still dont fix the 
problem. I still miss librpm.so.0 and librpmio.so.0 to install the snmp 
security fix

Note You need to log in before you can comment on or make changes to this bug.